Skip to content
POST/{organizationId}/{mandateId}/booking/events/offers/{offerId}/rates

Create offer rate

Creates a new rate for a specific offer for a given mandate

Required permissions:

  • mandate.read

  • eventOffer.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
offerIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 50

descriptionstringoptional

Default: ""

maxLength: 140

availableAmountinteger | nulloptional

Default: null

maximum: 9007199254740991

exclusiveMinimum: 0

Default: null

Default: null

standardbooleanoptional

Default: null

minItems: 2

maxItems: 10

Default: null

anonymousboolean | nulloptional

Default: null

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/events/offers/{offerId}/rates
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/offers/{offerId}/rates' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "charge": {
    "type": "price",
    "price": {
      "isNet": true,
      "price": 0,
      "taxCode": "string",
      "account": 1,
      "costCenter1": 1,
      "costCenter2": 1
    },
    "punchCard": {
      "punchCardId": "000000000000000000000001",
      "points": 1
    }
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

rateIdstringrequired

minLength: 8

maxLength: 8

Response

200
{
  "rateId": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}